# Get Mockups API

## Get Mockups

> Retrieves a list of available mockups from My Templates.

```json
{"openapi":"3.1.0","info":{"title":"Dynamic Mockups API","version":"1.0"},"servers":[{"url":"https://app.dynamicmockups.com/api/v1"}],"security":[{"apiKeyAuth":[]}],"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"API key required for authentication."}},"schemas":{"Mockup":{"type":"object","properties":{"uuid":{"type":"string","description":"The UUID of the mockup."},"name":{"type":"string","description":"The name of the mockup."},"thumbnail":{"type":"string","description":"URL to the thumbnail of the mockup."},"smart_objects":{"type":"array","items":{"$ref":"#/components/schemas/SmartObject"}},"text_layers":{"type":"array","items":{"type":"object","properties":{"uuid":{"type":"string","description":"The UUID of the text layer."},"name":{"type":"string","description":"The name of the text layer."}}}},"collections":{"type":"array","items":{"$ref":"#/components/schemas/Collection"}},"thumbnails":{"type":"array","items":{"$ref":"#/components/schemas/Thumbnail"}}}},"SmartObject":{"type":"object","properties":{"uuid":{"type":"string","description":"The UUID of the smart object."},"name":{"type":"string","description":"The name of the smart object."},"size":{"type":"object","properties":{"width":{"type":"integer"},"height":{"type":"integer"}}},"position":{"type":"object","properties":{"top":{"type":"integer"},"left":{"type":"integer"}}},"print_area_presets":{"type":"array","items":{"$ref":"#/components/schemas/PrintAreaPreset"}}}},"PrintAreaPreset":{"type":"object","properties":{"uuid":{"type":"string","description":"The UUID of the print area preset."},"name":{"type":"string","description":"The name of the print area preset."},"thumbnails":{"type":"array","items":{"$ref":"#/components/schemas/Thumbnail"}}}},"Thumbnail":{"type":"object","properties":{"width":{"type":"integer"},"url":{"type":"string","description":"URL to the thumbnail."}}},"Collection":{"type":"object","properties":{"uuid":{"type":"string","description":"The UUID of the collection."},"name":{"type":"string","description":"The name of the collection."}}}}},"paths":{"/mockups":{"get":{"summary":"Get Mockups","description":"Retrieves a list of available mockups from My Templates.","operationId":"getMockups","parameters":[{"in":"header","name":"Accept","required":true,"schema":{"type":"string","enum":["application/json"]},"description":"The request must accept JSON responses."},{"in":"header","name":"x-api-key","required":true,"schema":{"type":"string"},"description":"API key required for authentication."},{"in":"query","name":"catalog_uuid","required":false,"schema":{"type":"string"},"description":"Optional parameter to filter mockups by catalog UUID."},{"in":"query","name":"collection_uuid","required":false,"schema":{"type":"string"},"description":"Optional parameter to filter mockups by collection UUID."},{"in":"query","name":"include_all_catalogs","required":false,"schema":{"type":"boolean"},"description":"Optional parameter to include mockups from all catalogs. If false or omitted, only mockups from the default catalog are returned. Set to true to fetch from all catalogs."},{"in":"query","name":"name","required":false,"schema":{"type":"string"},"description":"Optional parameter to filter mockups by name."}],"responses":{"200":{"description":"A list of mockups retrieved successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Mockup"}},"success":{"type":"boolean"},"message":{"type":"string"}}}}}},"400":{"description":"Bad request due to invalid input parameters."},"401":{"description":"Unauthorized request, invalid or missing API key."}}}}}}
```

## Get Specific Mockup

> Retrieves a specific mockup from My Templates using its UUID.

```json
{"openapi":"3.1.0","info":{"title":"Dynamic Mockups API","version":"1.0"},"servers":[{"url":"https://app.dynamicmockups.com/api/v1"}],"security":[{"apiKeyAuth":[]}],"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"API key required for authentication."}},"schemas":{"Mockup":{"type":"object","properties":{"uuid":{"type":"string","description":"The UUID of the mockup."},"name":{"type":"string","description":"The name of the mockup."},"thumbnail":{"type":"string","description":"URL to the thumbnail of the mockup."},"smart_objects":{"type":"array","items":{"$ref":"#/components/schemas/SmartObject"}},"text_layers":{"type":"array","items":{"type":"object","properties":{"uuid":{"type":"string","description":"The UUID of the text layer."},"name":{"type":"string","description":"The name of the text layer."}}}},"collections":{"type":"array","items":{"$ref":"#/components/schemas/Collection"}},"thumbnails":{"type":"array","items":{"$ref":"#/components/schemas/Thumbnail"}}}},"SmartObject":{"type":"object","properties":{"uuid":{"type":"string","description":"The UUID of the smart object."},"name":{"type":"string","description":"The name of the smart object."},"size":{"type":"object","properties":{"width":{"type":"integer"},"height":{"type":"integer"}}},"position":{"type":"object","properties":{"top":{"type":"integer"},"left":{"type":"integer"}}},"print_area_presets":{"type":"array","items":{"$ref":"#/components/schemas/PrintAreaPreset"}}}},"PrintAreaPreset":{"type":"object","properties":{"uuid":{"type":"string","description":"The UUID of the print area preset."},"name":{"type":"string","description":"The name of the print area preset."},"thumbnails":{"type":"array","items":{"$ref":"#/components/schemas/Thumbnail"}}}},"Thumbnail":{"type":"object","properties":{"width":{"type":"integer"},"url":{"type":"string","description":"URL to the thumbnail."}}},"Collection":{"type":"object","properties":{"uuid":{"type":"string","description":"The UUID of the collection."},"name":{"type":"string","description":"The name of the collection."}}}}},"paths":{"/mockup/{uuid}":{"get":{"summary":"Get Specific Mockup","description":"Retrieves a specific mockup from My Templates using its UUID.","operationId":"getMockupByUUID","parameters":[{"in":"header","name":"Accept","required":true,"schema":{"type":"string","enum":["application/json"]},"description":"The request must accept JSON responses."},{"in":"header","name":"x-api-key","required":true,"schema":{"type":"string"},"description":"API key required for authentication."},{"in":"path","name":"uuid","required":true,"schema":{"type":"string"},"description":"The UUID of the mockup to retrieve."}],"responses":{"200":{"description":"The mockup retrieved successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Mockup"},"success":{"type":"boolean"},"message":{"type":"string"}}}}}},"400":{"description":"Bad request."},"401":{"description":"Unauthorized request, invalid or missing API key."},"404":{"description":"Mockup with provided UUID not found."}}}}}}
```

Export OpenAPI specification for the Get Mockups API

{% file src="<https://1410134351-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FXeuL34FauPTZ6yb0wAep%2Fuploads%2Fy52xdoCbelIGP9AOu3e3%2Fget_mockups_api.json?alt=media&token=4541059d-b148-48ac-86af-ea9f9fbc493f>" %}

### `catalog_uuid` optional query parameter for `Get Mockups`

On the [My Templates](https://app.dynamicmockups.com/my-templates) page on the web application, you can create catalogs and add mockups to them to achieve better organization and more flexibility.

This optional filter allows you to list only mockups that belong to a specific catalog.

Get **Catalog UUID** by calling the [Catalogs API](https://docs.dynamicmockups.com/api-reference/catalogs-api).

### `collection_uuid` optional query parameter for `Get Mockups`

On the [My Templates](https://app.dynamicmockups.com/my-templates) page on the web application, you can create collections and add mockups to them to achieve better organization and more flexibility.

This optional filter allows you to list only mockups that belong to specific collections.

Also, you can get collections UUIDs by calling [Collections API](https://docs.dynamicmockups.com/api-reference/get-collections-api) which will retrieve all created collections and their UUIDs.
